
if not exists(select s.schema_id from sys.schemas s where s.name = 'data') 
	and exists(select p.principal_id from sys.database_principals p where p.name = 'dbo') begin
	exec sp_executesql N'create schema [data] authorization [dbo]'
end

if not exists(select s.schema_id from sys.schemas s where s.name = 'locosoft') 
	and exists(select p.principal_id from sys.database_principals p where p.name = 'dbo') begin
	exec sp_executesql N'create schema [locosoft] authorization [dbo]'
end

if not exists(select s.schema_id from sys.schemas s where s.name = 'transform') 
	and exists(select p.principal_id from sys.database_principals p where p.name = 'dbo') begin
	exec sp_executesql N'create schema [transform] authorization [dbo]'
end
GO

